<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validar.jsp" %>
<!DOCTYPE html>
<html lang="es">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title>:::SISTEMA DE HORARIOS:::</title>

		<meta name="description" content="overview &amp; stats" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
                
                
    <link href="css/display.css" rel="stylesheet" type="text/css"/>        
		<link rel="stylesheet" href="../assets/css/bootstrap.css" />
		<link rel="stylesheet" href="../assets/css/font-awesome.css" />
                <link rel="stylesheet" href="../assets/css/jquery-ui.css" />
		<link rel="stylesheet" href="../assets/css/ace-fonts.css" />
		<link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
		<script src="../assets/js/ace-extra.js"></script>
                
                
        
		<!-- inline scripts related to this page -->
		<script type="text/javascript" language="javascript">
                    
			/*$(document).ready( function() {
                jQuery("#registroEncuesta").validationEngine();
            });*/
		</script>
	</head>

	<body class="no-skin" onLoad="cargar();">
		<!-- #section:basics/navbar.layout -->
		<div id="navbar" class="navbar navbar-default">
			<script type="text/javascript">
				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
			</script>

			<div class="navbar-container" id="navbar-container">
            <%@ include file="banner.jsp" %>
			</div><!-- /.navbar-container -->
		<p id="lblUsuario"><%=usuario!=null?usuario.getCodigoTipoUsuario():""%></p>
			
		</div>

		<!-- /section:basics/navbar.layout -->
		<div class="main-container" id="main-container">
			<script type="text/javascript">
				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
			</script>

			<!-- #section:basics/sidebar -->
			<div id="sidebar" class="sidebar                  responsive">
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
				</script>
                                <input id="codModulo" type="hidden" value="<%=menu!=null?menu.getCodModulo():""%>">
                                <input id="codCategoria" type="hidden" value="<%=menu!=null?menu.getCodCategoria():""%>">
                                <%@ include file="menu.jsp" %>
				<!-- #section:basics/sidebar.layout.minimize -->
				<div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
					<i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
				</div>
				<!-- /section:basics/sidebar.layout.minimize -->
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
				</script>
			</div>

			<!-- /section:basics/sidebar -->
			<div class="main-content">
				<div class="main-content-inner">
					<!-- #section:basics/content.breadcrumbs -->
					<div class="breadcrumbs" id="breadcrumbs">
						<script type="text/javascript">
							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
						</script>

						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-home home-icon"></i>
								<a href="principal.jsp">INICIO</a>
							</li>
							<li class="active">BOQUES</li>
						</ul><!-- /.breadcrumb -->
					</div>

					<!-- /section:basics/content.breadcrumbs -->
					<div class="page-content">
						
						<div class="page-header">
							<h1>
								Bloques
								<small>
									<i class="ace-icon fa fa-angle-double-right"></i>
									Mantenimento
								</small>
							</h1>
						</div><!-- /.page-header -->

						<div class="row">
							
                                                    
                                                    
                                                    
                                                    
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->
                                                    <div class="col-sm-12" style="width:100%;">
                                                        
                                                        <div  class="col-sm-4"></div>
                                                        <div  class="col-sm-4">
                                                            <div class="widget-box widget-color-blue">
                                                                <div class="widget-header">
                                                                    <h4 class="widget-title">Búsqueda de Bloques</h4>
                                                                </div>

                                                                <div class="widget-body">
                                                                    <div class="widget-main no-padding">
                                                                        <form id="registroEncuesta"  method="post">
                                                                            <fieldset>
                                                                                    <label for="form-field-select-3">Bloque <span style="color: red;">*</span></label>
                                                                                    <br>
                                                                                    <div id="divListadoBloq">
                                                                                        <select class="form-control validate[required]" id="cmbBloque" >
                                                                                            <option value="">[Seleccione]</option>
                                                                                        </select>
                                                                                    </div> 
                                                                                    <br>
                                                                            </fieldset>
                                                                            
                                                                            <div class="form-actions center">
                                                                                <button  class="btn btn-sm btn-info" type="button" onclick="validar_registro();">
                                                                                    <i class="ace-icon fa fa-search icon-on-right bigger-110"></i>
                                                                                    Buscar Bloque
                                                                                </button>
                                                                            </div>
                                                                        </form>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div  class="col-sm-4"></div>
                                                        
                                                    </div>
                                                    <div class="col-sm-12" style="width:100%; height: 40px;"></div>
                                                    <div  class="col-sm-12" style="width:100%;">
                                                        <div  class="col-sm-2" ></div>
                                                        <div  class="col-sm-8">
                                                            <!-- -------------TABLA---INI------------ -->
                                                            
                                                            <div style="display: none;" id='divListadoBloquesCreado'>
                                                                
                                                            </div>
                                                            <!-- -------------TABLA---FIN------------ -->
                                                        </div>
                                                        <div  class="col-sm-2"></div>
                                                    </div>
                                                    <!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->
                                                    
                                                    
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    
                                                    
                                                    <div id="dialog-noti1" class="hide">
                                                        <br>
                                                        Se actualizó las horas con éxito.
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-confor1" class="hide">
                                                        <br>
                                                        ¿Está seguro de actualizar las horas?
                                                        <br><br>
                                                    </div>
                                                   
                                                    <div id="dialog-advertencia1" class="hide">
                                                        <br>
                                                        - La hora de inicio debe ser menor a la hora Fin.<br> 
                                                        - Considerar los minutos en un rango [00 a 59].<br> 
                                                        - Considerar las horas en un rango de: <br>
                                                        - Turno Mañana [07:50 a 14:30].<br>
                                                        - Turno Tarde [15:00 a 19:00].<br>
                                                        - Turno Noche [19:00 a 22:00].<br>
                                                        - Turno Mañana-Tarde [07:50 a 22:00].<br>
                                                        - Turno Tarde-Noche [15:00 a 22:00].<br>
                                                        - Turno Todos [07:50 a 22:00].
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-Alerta2" class="hide">
                                                        <br>
                                                        ---------------------
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-armar" class="hide">
                                                        <br>
                                                        <form id="actualizar" class="formular" method="post">
                                                            <div id="divFormulario1"  ></div>
                                                        </form>
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-armar1" class="hide">
                                                        <br>
                                                        <div id="divFormulario" ></div>
                                                        <br><br>
                                                    </div>
                                                    
                                                    <div id="dialog-cargando" class="hide">
                                                        <table cellpadding="0" cellspacing="0" width="100%">
                                                            <tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
                                                        </table>
                                                    </div>
                                                    
                                                    <input type='hidden' id='codigo1'>
                                                    
                                                    
                                                    <!-- ::::::::::-ALERTAS-::::::::::::::: -->
                                                    
                                                    
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->

			<div class="footer">
				<%@ include file="footer.jsp" %>
			</div>

			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
				<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
			</a>
		</div><!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script type="text/javascript">
			window.jQuery || document.write("<script src='../assets/js/jquery.js'>"+"<"+"/script>");
		</script>

		<!-- <![endif]-->

		<!--[if IE]>
<script type="text/javascript">
 window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
		<script type="text/javascript">
			if('ontouchstart' in document.documentElement) document.write("<script src='../assets/js/jquery.mobile.custom.js'>"+"<"+"/script>");
		</script>
		<script src="../assets/js/bootstrap.js"></script>

		<!-- page specific plugin scripts -->
                <script src="../assets/js/jquery-ui.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>

		<!--[if lte IE 8]>
		  <script src="../assets/js/excanvas.js"></script>
		<![endif]-->
		<script src="../assets/js/jquery-ui.custom.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>
		<script src="../assets/js/jquery.easypiechart.js"></script>
		<script src="../assets/js/jquery.sparkline.js"></script>
		<script src="../assets/js/flot/jquery.flot.js"></script>
		<script src="../assets/js/flot/jquery.flot.pie.js"></script>
		<script src="../assets/js/flot/jquery.flot.resize.js"></script>

		<!-- ace scripts -->
		<script src="../assets/js/ace/elements.scroller.js"></script>
		<script src="../assets/js/ace/elements.colorpicker.js"></script>
		<script src="../assets/js/ace/elements.fileinput.js"></script>
		<script src="../assets/js/ace/elements.typeahead.js"></script>
		<script src="../assets/js/ace/elements.wysiwyg.js"></script>
		<script src="../assets/js/ace/elements.spinner.js"></script>
		<script src="../assets/js/ace/elements.treeview.js"></script>
		<script src="../assets/js/ace/elements.wizard.js"></script>
		<script src="../assets/js/ace/elements.aside.js"></script>
		<script src="../assets/js/ace/ace.js"></script>
		<script src="../assets/js/ace/ace.ajax-content.js"></script>
		<script src="../assets/js/ace/ace.touch-drag.js"></script>
		<script src="../assets/js/ace/ace.sidebar.js"></script>
		<script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
		<script src="../assets/js/ace/ace.submenu-hover.js"></script>
		<script src="../assets/js/ace/ace.widget-box.js"></script>
		<script src="../assets/js/ace/ace.settings.js"></script>
		<script src="../assets/js/ace/ace.settings-rtl.js"></script>
		<script src="../assets/js/ace/ace.settings-skin.js"></script>
		<script src="../assets/js/ace/ace.widget-on-reload.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
                
                
                <link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
                <!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->
                
                
		<!-- inline scripts related to this page -->
		<script type="text/javascript">
                        
			jQuery(function($) {
                                
                                
				//override dialog's title function to allow for HTML titles
				$.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
					_title: function(title) {
						var $title = this.options.title || '&nbsp;'
						if( ("title_html" in this.options) && this.options.title_html == true )
							title.html($title);
						else title.text($title);
					}
				}));
			
				
			
				$( "#id-btn-dialog2" ).on('click', function(e) {//--
					e.preventDefault();
                                    $( "#dialog-confirm" ).removeClass('hide').dialog({
                                        resizable: false,
                                        modal: true,
                                        title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
                                        title_html: true,
                                        buttons: [
                                            {
                                                html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
                                                "class" : "btn btn-danger btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                            ,
                                            {
                                                html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
                                                "class" : "btn btn-xs",
                                                click: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                        ]
                                    });
				});
                                
				$('.easy-pie-chart.percentage').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = $(this).data('color') || (!$box.hasClass('infobox-dark') ? $box.css('color') : 'rgba(255,255,255,0.95)');
					var trackColor = barColor == 'rgba(255,255,255,0.95)' ? 'rgba(255,255,255,0.25)' : '#E2E2E2';
					var size = parseInt($(this).data('size')) || 50;
					$(this).easyPieChart({
						barColor: barColor,
						trackColor: trackColor,
						scaleColor: false,
						lineCap: 'butt',
						lineWidth: parseInt(size/10),
						animate: /msie\s*(8|7|6)/.test(navigator.userAgent.toLowerCase()) ? false : 1000,
						size: size
					});
				})
			
				$('.sparkline').each(function(){
					var $box = $(this).closest('.infobox');
					var barColor = !$box.hasClass('infobox-dark') ? $box.css('color') : '#FFF';
					$(this).sparkline('html',
                                                                    {
                                                                           tagValuesAttribute:'data-values',
                                                                           type: 'bar',
                                                                           barColor: barColor ,
                                                                           chartRangeMin:$(this).data('min') || 0
                                                                    });
				});
			
			
			  //flot chart resize plugin, somehow manipulates default browser resize event to optimize it!
			  //but sometimes it brings up errors with normal resize event handlers
			  $.resize.throttleWindow = false;
			
			  var placeholder = $('#piechart-placeholder').css({'width':'90%' , 'min-height':'150px'});
			  var data = [
				{ label: "social networks",  data: 38.7, color: "#68BC31"},
				{ label: "search engines",  data: 24.5, color: "#2091CF"},
				{ label: "ad campaigns",  data: 8.2, color: "#AF4E96"},
				{ label: "direct traffic",  data: 18.6, color: "#DA5430"},
				{ label: "other",  data: 10, color: "#FEE074"}
			  ]
			  function drawPieChart(placeholder, data, position) {
			 	  $.plot(placeholder, data, {
					series: {
						pie: {
							show: true,
							tilt:0.8,
							highlight: {
								opacity: 0.25
							},
							stroke: {
								color: '#fff',
								width: 2
							},
							startAngle: 2
						}
					},
					legend: {
						show: true,
						position: position || "ne", 
						labelBoxBorderColor: null,
						margin:[-30,15]
					}
					,
					grid: {
						hoverable: true,
						clickable: true
					}
				 })
			 }
			 drawPieChart(placeholder, data);
			
			 /**
			 we saved the drawing function and the data to redraw with different position later when switching to RTL mode dynamically
			 so that's not needed actually.
			 */
			 placeholder.data('chart', data);
			 placeholder.data('draw', drawPieChart);
			
			
			  //pie chart tooltip example
			  var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');
			  var previousPoint = null;
			
			  placeholder.on('plothover', function (event, pos, item) {
				if(item) {
					if (previousPoint != item.seriesIndex) {
						previousPoint = item.seriesIndex;
						var tip = item.series['label'] + " : " + item.series['percent']+'%';
						$tooltip.show().children(0).text(tip);
					}
					$tooltip.css({top:pos.pageY + 10, left:pos.pageX + 10});
				} else {
					$tooltip.hide();
					previousPoint = null;
				}
				
			 });
			
				/////////////////////////////////////
				$(document).one('ajaxloadstart.page', function(e) {
					$tooltip.remove();
				});
			
			
			
			
				var d1 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d1.push([i, Math.sin(i)]);
				}
			
				var d2 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d2.push([i, Math.cos(i)]);
				}
			
				var d3 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.2) {
					d3.push([i, Math.tan(i)]);
				}
				
			
				var sales_charts = $('#sales-charts').css({'width':'100%' , 'height':'220px'});
				$.plot("#sales-charts", [
					{ label: "Domains", data: d1 },
					{ label: "Hosting", data: d2 },
					{ label: "Services", data: d3 }
				], {
					hoverable: true,
					shadowSize: 0,
					series: {
						lines: { show: true },
						points: { show: true }
					},
					xaxis: {
						tickLength: 0
					},
					yaxis: {
						ticks: 10,
						min: -2,
						max: 2,
						tickDecimals: 3
					},
					grid: {
						backgroundColor: { colors: [ "#fff", "#fff" ] },
						borderWidth: 1,
						borderColor:'#555'
					}
				});
			
			
				$('#recent-box [data-rel="tooltip"]').tooltip({placement: tooltip_placement});
				function tooltip_placement(context, source) {
					var $source = $(source);
					var $parent = $source.closest('.tab-content')
					var off1 = $parent.offset();
					var w1 = $parent.width();
			
					var off2 = $source.offset();
					//var w2 = $source.width();
			
					if( parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2) ) return 'right';
					return 'left';
				}
			
			
				$('.dialogs,.comments').ace_scroll({
					size: 300
			    });
				
				
				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
				//so disable dragging when clicking on label
				var agent = navigator.userAgent.toLowerCase();
				if("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
				  $('#tasks').on('touchstart', function(e){
					var li = $(e.target).closest('#tasks li');
					if(li.length == 0)return;
					var label = li.find('label.inline').get(0);
					if(label == e.target || $.contains(label, e.target)) e.stopImmediatePropagation() ;
				});
			
				$('#tasks').sortable({
					opacity:0.8,
					revert:true,
					forceHelperSize:true,
					placeholder: 'draggable-placeholder',
					forcePlaceholderSize:true,
					tolerance:'pointer',
					stop: function( event, ui ) {
						//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
						$(ui.item).css('z-index', 'auto');
					}
					}
				);
				$('#tasks').disableSelection();
				$('#tasks input:checkbox').removeAttr('checked').on('click', function(){
					if(this.checked) $(this).closest('li').addClass('selected');
					else $(this).closest('li').removeClass('selected');
				});
			
			
				//show the dropdowns on top or bottom depending on window height and menu position
				$('#task-tab .dropdown-hover').on('mouseenter', function(e) {
					var offset = $(this).offset();
			
					var $w = $(window)
					if (offset.top > $w.scrollTop() + $w.innerHeight() - 100) 
						$(this).addClass('dropup');
					else $(this).removeClass('dropup');
				});
			
                        
                        
			});
                        
                    //::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
                    
                        
                        
                        function cargando(){
                            $( "#dialog-cargando" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
                                title_html: true
                            });
                        }
                        
                        function close_carga(){
                            $( "#dialog-cargando" ).dialog( "close" );
                        }
                        
                        function conMayusculas(field) {
                            field.value = field.value.toUpperCase()
                        }
                        
                        function segundaCarga(){
                            verificar();
                        }

                        
                        function verificar(){
                            var p_codigoBloque="<%=claseBloque!=null?claseBloque.getCod_blo():""%>";
                           // alert(p_codigoBloque);
                            if(p_codigoBloque=="" || p_codigoBloque==null){
                                cargarBloque();
                            }else{
                                cargarBloqueSesion(p_codigoBloque);
                            }
                        }
                        
                        
                        function cargarBloque(){
                            var accion = "limpiar()";
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=cargarBloque',
                                    data: 'accion='+accion,
                                    beforeSend: function() {
                                    $("#formulario_cargando" ).dialog({
                                          width: 350,
                                          modal: true,
                                          resizable : false,
                                          draggable : false
                                    });
                                    },success:function(resultado){
                                        $("#formulario_cargando" ).dialog( "close" );
                                        $("#divListadoBloq").html(resultado);
                                        //$('#divListadoTipoCentro').html(resultado);
                                    },complete:function(){ 

                                    }
                            });

                        }
                        function cargarBloqueSesion(codigoBloque){
                            var accion = "limpiar()";
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=cargarBloqueSesion',
                                    data: 'accion='+accion+'&codigoBloque='+codigoBloque,
                                    beforeSend: function() {
                                        cargando();
                                    },success:function(resultado){
                                        close_carga();
                                        $("#divListadoBloq").html(resultado);
                                    },complete:function(){ 
                                      BuscarBloqueSesion(codigoBloque);
                                    }
                            });

                        }
                        
                        
                        function calcularMin(cont,numero,codigoTurno){
                            var ini= $("#txt_hini_"+cont+"").val(); 
                            var fin= $("#txt_hfin_"+cont+"").val();
                            var filas = $("#cantBlo").val();
                            
                            var dato = 0;
                            var diferencia = 0;
                            var hf=0;
                            var hi=0;
                            var mf=0;
                            var mi=0;
                            var dif=0;
                            var res=-1;
                            if(ini!="" && fin!=""){
                                var arrayini = ini.split(":");
                                var arrayfin = fin.split(":");

                                  hi=parseInt(arrayini[0]);
                                  hf=parseInt(arrayfin[0]);
                                  mi=parseInt(arrayini[1]);
                                  mf=parseInt(arrayfin[1]);

                                if(codigoTurno==1){ //turno mañana
                                      if(hi<7 || hi>14 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<7 || hf>14 || mf>59){
                                          dato=dato+1;
                                      } 
                                      //minutos con hora actual
                                       if(hf==14 && mf>30){
                                          dato=dato+1;
                                      }
                                      if(hi==7 && mi<50){
                                          dato=dato+1;
                                      }

                                }else if(codigoTurno==2){ //turno tarde
                                       if(hi<15 || hi>19 || mf>59){
                                         dato=dato+1;
                                      }
                                      if(hf<15 || hf>19 || mf>59){
                                          dato=dato+1;
                                      }
                                      //minutosss
                                       if(hf==19 && mf>0){
                                          dato=dato+1;
                                      }

                                }else if(codigoTurno==3){  //turno noche 
                                     if(hi<19 || hi>22 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<19 || hf>22  || mf>59){
                                          dato=dato+1;
                                      } 
                                      //minutos 
                                      if(hf==22 && mf>0){
                                          dato=dato+1;
                                      }

                                }else if(codigoTurno==4){ //turno mañana
                                      if(hi<7 || hi>19 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<7 || hf>19 || mf>59){
                                          dato=dato+1;
                                      }
                                      if(hi==7 && mi<50){
                                          dato=dato+1;
                                      }
                                      if(hf==19 && mf>0){
                                          dato=dato+1;
                                      }
                                }else if(codigoTurno==5){ //turno mañana
                                      if(hi<15 || hi>22 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<15 || hf>22 || mf>59){
                                          dato=dato+1;
                                      }
                                      if(hf==22 && mf>0){
                                          dato=dato+1;
                                      }
                                }else if(codigoTurno==6){ //turno mañana
                                      if(hi<7 || hi>22 || mi>59){
                                         dato=dato+1;
                                      }
                                      if(hf<7 || hf>22 || mf>59){
                                          dato=dato+1;
                                      }
                                      if(hi==7 && mi<50){
                                          dato=dato+1;
                                      }
                                      if(hf==22 && mf>0){
                                          dato=dato+1;
                                      }
                                }
                                
                                
                                
                              if(dato==0){
                                  //comprobar tiempos 
                                    if(hi>hf){

                                          diferencia=1;

                                    }else if(hi==hf){
                                        if(mi>mf){
                                            diferencia=1;
                                      } 
                                  }
                              }else{
                                  diferencia=1;
                              }


                              if(diferencia==0){
                                  var dh= (hf-hi)*60;
                                  var dm= mf-mi;
                                  //if( dm<0 ){  dm=dm*(-1);  } 
                                  if(dm<0){
                                      dm=dm*(-1);
                                      res=dh-dm;
                                  }else{
                                      res=dh+dm;  
                                  } 
                              }  
                              var sig=cont+1;
                              var anter=cont-1;
                               if(res==-1){
                                    alerta2();
                                    $("#txt_hini_"+cont+"").val(""); 
                                    $("#txt_hfin_"+cont+"").val("");
                                    $("#div_cantmin_"+cont+"").html("");
                                    var ant=$("#txt_hfin_"+anter+"").val();
                                    $("#txt_hini_"+cont+"").val(ant); 



                                     $("#txt_hini_"+sig+"").val(""); 
                                     for(i=0;i<filas;i++){
                                         var mas= sig+i;
                                         $("#div_cantmin_"+mas+"").html("");
                                         $("#txt_hini_"+mas+"").val(""); 
                                         $("#txt_hfin_"+mas+"").val("");  
                                     }
                                }else{
                                    $("#txt_cantmin_"+cont+"").val(res); 
                                    $("#div_cantmin_"+cont+"").html(res); 
                                      if(numero==2){
                                          $("#txt_hini_"+sig+"").val(fin); 
                                          $("#txt_hfin_"+sig+"").focus(); 
                                          $("#txt_hfin_"+sig+"").val("");
                                          $("#div_cantmin_"+sig+"").val(""); 
                                          $("#div_cantmin_"+sig+"").html("");
                                      }
                                }

                            }else{
                                $("#txt_cantmin_"+cont+"").val("");
                                $("#div_cantmin_"+cont+"").html("");
                            } 
                        }
                        
                        
                          
                        
                        function alerta2(){
                            $( "#dialog-advertencia1" ).removeClass('hide').dialog({
                                resizable: false,
                                width:400,
                                modal: true,
                                title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                                        "class" : "btn btn-warning btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                ]
                            });
                        }
                        
                        
                        function validar_registro(){
                            var estado=$('#registroEncuesta').validationEngine('validate');
                            if(estado){
                                BuscarBloque();
                            }
                        }
                        
                        function BuscarBloque(){
													let name=''
                            var codigoBloque = $("#cmbBloque").val();
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=listarBloqueBusqueda2',
                                    data:'codigoBloque='+codigoBloque,
                                    beforeSend: function() {
                                        cargando();
                                    },success:function(resultado){
                                        close_carga();
                                        $('#divListadoBloquesCreado').html(resultado);
																				name=$("#lblUsuario").text();
																				if(name === "6"){
																					$("#divListadoBloquesCreado #btnAdBloque").hide();
																				}
																				
                                    },complete:function(){ 
                                        $('#divListadoBloquesCreado').fadeIn();
                                    }
                            });
                        }
                        
                        function limpiar(){
                            $("#divListadoBloquesCreado").fadeOut();  
                        }
                        
                        function verBloque(displayName,codigo,maxGru,cadena,nombreGru){
                       
                            $.ajax({
                                type:'POST',
                                url:'../ServletBloque?Accion=armarBloqueHorarioEditar',
                                data:'codigo='+codigo+'&cadena='+cadena+'&maxGru='+maxGru+'&nombreGru='+nombreGru+'&displayName='+displayName,
                                beforeSend: function() {
                                    cargando();
                                },success:function(resultado){
                                    close_carga();
                                    $("#divFormulario").html(resultado)
                                },complete:function(){ 
                                    alerta5_edit(codigo,maxGru,cadena,nombreGru);
                                }
                            });
                        }
                        
                        
                        
                        function mostrarBloque(codigoBloque,codigoGrupo){
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=mostrarDetalleBloque',
                                    data: 'codigoBloque='+codigoBloque+'&codigoGrupo='+codigoGrupo,
                                    success:function(resultado){
                                        $("#formulario_cargando" ).dialog( "close" );
                                        $("#divFormulario").html(resultado);
                                    },complete:function(){ 
                                        alerta5();
                                    }
                            });
                        }
                        
                        
                        function alerta5(){
                            $( "#dialog-armar1" ).removeClass('hide').dialog({
                                resizable: false,
                                width: 600,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Vista del Bloque</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                ]
                            });
                        }
                        
                        function alerta5_edit(codigo,maxGru,cadena,nombreGru){
													
													       
													     let off = ''
																let user = $("#lblUsuario").text();
																if (user === "6") {
																  off = 'hide'
																	
																}
																
                            $( "#dialog-armar1" ).removeClass('hide').dialog({
                                resizable: false,
                                width: 600,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Vista del Bloque</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110' id='btnEditar'></i>&nbsp; EDITAR",
                                        "class": "btn btn-primary btn-xs " + off,
																				"id":"btnEditar",
                                        click: function() {
                                            editarBloqueHorario(codigo,maxGru,cadena,nombreGru);
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }
                                ]
                            });
                        }
                        
                        function editarBloqueHorario(codigo,maxGru,cadena,nombreGru){
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=sessionBloqueHorario',
                                    data: 'codigo='+codigo+'&maxGru='+maxGru+'&cadena='+cadena+'&nombreGru='+nombreGru,
                                    beforeSend: function() {
                                        cargando();
                                    },success:function(resultado){
                                        close_carga();
                                        //$("#divFormulario1").html(resultado);
                                     },complete:function(){
                                         window.location = "edi_blo_gen.jsp";
                                    }
                            });
                        }
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        function EditarBloque(codigoBloque,codigoGrupo,codigoTurno){
                            $.ajax({
                                    type:'POST',
                                    url:'../ServletBloque?Accion=editarDetallebloque',
                                    data: 'codigoBloque='+codigoBloque+'&codigoGrupo='+codigoGrupo+'&codigoTurno='+codigoTurno,
                                    beforeSend: function() {
                                        cargando();
                                    },success:function(resultado){
                                        close_carga();
                                        $("#divFormulario1").html(resultado);
                                     },complete:function(){
                                        alerta1();
                                        for(i=0; i<20;i++){
                                            $("#txt_hini_"+i+"").mask("99:99"); 
                                            $("#txt_hfin_"+i+"").mask("99:99");
                                        }
                                    }
                            });
                        }
                        
                        
                            
                        
                        function alerta1(){
                            $( "#dialog-armar" ).removeClass('hide').dialog({
                                resizable: false,
                                width: 600,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Actualización de Bloque</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACTUALIZAR",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            validar_actua_popup();
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }
                                ]
                            });
                        }
                        
                        function validar_actua_popup(){
                            var estado=jQuery('#actualizar').validationEngine('validate');
                            if(estado){
                                alerta3();
                            }
                        }
                        
                        
                        function alerta3(){
                            $( "#dialog-confor1" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                                        "class" : "btn btn-primary btn-xs",
                                        click: function() {
                                            validar_actualizar();
                                        }
                                    },{
                                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                                        "class" : "btn btn-danger btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" ); 
                                        }
                                    }
                                ]
                            });
                        }
                        
                        function validar_actualizar(){
                            var estado=jQuery('#actualizar').validationEngine('validate');
                            if(estado){
                                actualizarBloques();
                            }
                        }
                        
                        function actualizarBloques(){
                            var cantidad = $("#cantBlo").val();
                            var filas = $("#cantBlo").val();
                            var bloq = 0;
                            var hi=0;
                            var hf=0;
                            var mi=0;
                            var mf=0;

                            for(i=1;i<=cantidad;i++){
                                var ini = $("#txt_hini_"+i+"").val();
                                var fin = $("#txt_hfin_"+i+"").val();
                                var arrayini = ini.split(":");
                                var arrayfin = fin.split(":");

                                hi=parseInt(arrayini[0]);
                                hf=parseInt(arrayfin[0]);
                                mi=parseInt(arrayini[1]);
                                mf=parseInt(arrayfin[1]);
                                var sig=i+1;
                                var ant=i-1;
                                if(hi>hf){
                                    bloq=bloq+1;
                                    $("#txt_hini_"+i+"").val("");
                                        $("#txt_hfin_"+i+"").val("");
                                        $("#txt_hini_"+sig+"").val("");
                                        $("#txt_hfin_"+ant+"").val("");
                                        $("#div_cantmin_"+i+"").html("");
                                        $("#div_cantmin_"+ant+"").html("");
                                        $("#div_cantmin_"+sig+"").html("");
                                    for(i=0;i<=filas;i++){
                                        var mas= sig+i;
                                        $("#div_cantmin_"+mas+"").html("");
                                        $("#txt_hini_"+mas+"").val(""); 
                                        $("#txt_hfin_"+mas+"").val("");
                                    }
                                }else if(hi==hf){
                                    if(mi>mf){
                                        bloq=bloq+1;
                                        $("#txt_hini_"+i+"").val("");
                                        $("#txt_hfin_"+i+"").val("");
                                        $("#txt_hini_"+sig+"").val("");
                                        $("#txt_hfin_"+ant+"").val("");
                                        $("#div_cantmin_"+i+"").html("");
                                        $("#div_cantmin_"+ant+"").html("");
                                        $("#div_cantmin_"+sig+"").html("");
                                        for(i=0;i<=filas;i++){
                                            var mas= sig+i;
                                            $("#div_cantmin_"+mas+"").html("");
                                            $("#txt_hini_"+mas+"").val(""); 
                                            $("#txt_hfin_"+mas+"").val("");
                                        }
                                    }
                                }else{
                                    bloq=bloq;
                                }
                            }
                            if(bloq==0){
                                actualizarBloquesValidar();
                            }else {
                                alerta3();
                            }
                        }
                        
                        
                        
                        
                        
                        function actualizarBloquesValidar(){
                            var cantidad = $("#cantBlo").val();
                            var bloDetalle = "";
                            for(i=1;i<=cantidad;i++){
                                var ini = $("#txt_hini_"+i+"").val();
                                var fin = $("#txt_hfin_"+i+"").val();
                                var min = $("#txt_cantmin_"+i+"").val();
                                var codDetalle=$("#txt_codDet_"+i+"").val();
                                if(bloDetalle==""){
                                    bloDetalle += i+"-"+ini+"-"+fin+"-"+min+"-"+codDetalle;
                                }else{
                                    bloDetalle += "#"+i+"-"+ini+"-"+fin+"-"+min+"-"+codDetalle;
                                }

                            }
                            $.ajax({
                                type:'POST',
                                url:'../ServletBloque?Accion=actualizarBloque',
                                data:'bloDetalle='+bloDetalle,
                                beforeSend: function() {
                                    cargando();
                                },success:function(resultado){
                                    close_carga();
                                },complete:function(){
                                    alerta4();
                                }
                            });
                        }
                        
                          
                        
                        function alerta4(){
                            $( "#dialog-armar" ).dialog( "close" );
                            $( "#dialog-confor1" ).dialog( "close" );
                            $( "#dialog-noti1" ).removeClass('hide').dialog({
                                resizable: false,
                                modal: true,
                                title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
                                title_html: true,
                                buttons: [
                                    {
                                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                                        "class" : "btn btn-success btn-xs",
                                        click: function() {
                                            $( this ).dialog( "close" );
                                        }
                                    }
                                ]
                            });
                        }
                        
                        function agregarBloque(){
                            window.location="cre_blo_gen.jsp";   
                        }
                        
                        
                        

                        
		</script>
                

		<!-- the following scripts are used in demo only for onpage help and you don't need them -->
               
		<link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
		<link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />
                
		<script type="text/javascript"> ace.vars['base'] = '..'; </script>
		<script src="../assets/js/ace/elements.onpage-help.js"></script>
		<script src="../assets/js/ace/ace.onpage-help.js"></script>
		<script src="../docs/assets/js/rainbow.js"></script>
		<script src="../docs/assets/js/language/generic.js"></script>
		<script src="../docs/assets/js/language/html.js"></script>
		<script src="../docs/assets/js/language/css.js"></script>
		<script src="../docs/assets/js/language/javascript.js"></script>
		
                
                <script type="text/javascript" src="js/jquery.maskedinput.js"></script>
                
                
                
                <script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
                <script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
                
                <!--<script src="style/jquery.kolorpicker.js" type="text/javascript"></script>
                <link rel="stylesheet" href="style/kolorpicker.css" type="text/css" media="screen, tv, projection, print" />
                -->
                
                <script type="text/javascript" language="javascript" src="js/colorPicker.js"></script>
                <link rel="stylesheet" href="css/colorPicker.css" type="text/css"></link>

</html>
